Astrocal
API ReferenceEvent type hostsV1Event typesIdHosts

Add a host to an event type

Adds a team member as a host for round-robin assignment.

POST
/v1/event-types/{id}/hosts

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

In: header

Path Parameters

id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/event-types/497f6eca-6276-4993-bfeb-53cbbbba6f08/hosts" \  -H "Content-Type: application/json" \  -d '{    "member_id": "435a4844-006a-4cfc-a644-e8eb2dd2ca43"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "event_type_id": "a4ec4c3c-a3de-4a8a-983f-1791e72cea83",
  "member_id": "435a4844-006a-4cfc-a644-e8eb2dd2ca43",
  "member_email": "string",
  "priority": 0,
  "total_bookings": 0,
  "last_booking_at": "string",
  "has_calendar": true,
  "created_at": "string"
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}